Package org.eclipse.lemminx.extensions.xsd.participants.diagnostics

## Class XSDDiagnosticsParticipant

- java.lang.Object
- - org.eclipse.lemminx.extensions.xsd.participants.diagnostics.XSDDiagnosticsParticipant

All Implemented Interfaces:
  `IDiagnosticsParticipant`

    public class XSDDiagnosticsParticipant
    extends Object
    implements IDiagnosticsParticipant

Validate XSD file with Xerces.

### Constructor Summary

Constructors
`XSDDiagnosticsParticipant​(XSDPlugin xsdPlugin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doDiagnostics​(DOMDocument xmlDocument, List<org.eclipse.lsp4j.Diagnostic> diagnostics, XMLValidationSettings validationSettings, org.eclipse.lsp4j.jsonrpc.CancelChecker monitor)` Validate the given XML document.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XSDDiagnosticsParticipant

    public XSDDiagnosticsParticipant​(XSDPlugin xsdPlugin)

### Method Detail

#### doDiagnostics

    public void doDiagnostics​(DOMDocument xmlDocument,
                              List<org.eclipse.lsp4j.Diagnostic> diagnostics,
                              XMLValidationSettings validationSettings,
                              org.eclipse.lsp4j.jsonrpc.CancelChecker monitor)

Description copied from interface: `IDiagnosticsParticipant`
Validate the given XML document.

Specified by:
  `doDiagnostics` in interface `IDiagnosticsParticipant`
Parameters:
  `xmlDocument` - XML document to validate.
  `diagnostics` - list to populate with errors, warnings, etc
  `validationSettings` - the validation settings.
  `monitor` - used to stop the validation when XML document changed.